# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/11/7
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.ssnnyfq_recommend import Recommend


class Main:
    @classmethod
    def main(cls, log_type, env):
        while True:
            Common.logger(log_type).info('开始抓取"岁岁年年迎福气"小程序\n')
            Recommend.get_feeds(log_type, env)
            Common.del_logs(log_type)
            Recommend.page = 0
            Common.logger(log_type).info('休眠 1 小时\n')
            time.sleep(3600)


if __name__ == '__main__':
    Main.main('recommend', 'prod')
